<?php
/**
 * Oтправка почтового сообщения.
 * 
 * Серверная часть принимает json данные из модального окна и отправляет почту.
 *
 * @author veselka.ua
 * @version 0.26
 *
 * @package veselka_ua/themes
 */

/**
 * Проверка легитимности запуска скрипта.
 */
require_once '__check.php';

/**
 * Не хешированные ключи JS.
 */
require_once '__proof.php';


/**
 * Отправка письма.
 */
if( $_POST['proof'] == md5($proof['data_save']) ) {
	try{

		/**
		 * Инициализация Вордпресс.
		 */
		require_once '__wp.php';

		// Экземпляр объекта обрабатывающего POST данные в зависимоти от ситуации
		$sendmail = new FormsMail();

		/**
		 * Отправка письма администратору.
		 */
		if( wp_mail( /*'info@veselka.od.ua'*/get_option( 'admin_email' ), $sendmail->get_subject(), $sendmail->get_html(), $sendmail->get_header()) ) {
			// Попытка проброса лога
			//$result_set = $sendmail->get_logs();
			$result_set = true;
		} else {
			$result_set = false;
		}

		/**
		 * Отправка письма клиенту.
		 */
		if( $sendmail->reset_to_client() ) {
			// Отправка письма пользователю
			if( wp_mail( $sendmail->get_to()/*'info@veselka.ua'*/, $sendmail->get_subject(), $sendmail->get_html(), $sendmail->get_header()) ) {
				//$result_set = true;
			} else {
				//$result_set = false;
			}
			$result_set = $sendmail->get_to();
		}

		/**
		 * Результат работы в JS.
		 */
		echo json_encode($result_set);

	}
	catch(Exception $e) {
		echo json_encode($e->getMessage());
	}
} else {
	throw new Exception('No data to send!');
}

?>